@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.preloader {
    @include transition-duration(0.5s);
    @include transition-property(opacity, z-index);
    @include transition-timing(linear);
    background-color: #f5f6fa;
    bottom: 0;
    left: 0;
    opacity: 1;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 9999;
    .spinner {
        @include animation-duration(2.6s);
        @include animation-iteration-count(infinite);
        @include animation-name(spin);
        @include animation-timing-function(linear);
        border-radius: 50%;
        border-top: 4px solid $preloader-color-1;
        bottom: 0;
        height: 140px;
        left: 0;
        margin: auto;
        position: absolute;
        right: 0;
        top: 0;
        width: 140px;
        &::before,
        &::after {
            @include animation-iteration-count(infinite);
            @include animation-name(spin);
            @include animation-timing-function(linear);
            border-radius: 50%;
            bottom: 0;
            content: "";
            left: 0;
            margin: auto;
            position: absolute;
            right: 0;
            top: 0;
        }
        &::before {
            @include animation-duration(1.5s);
            animation-duration: 1.5s;
            border-right: 4px solid $preloader-color-2;
            height: 120px;
            width: 120px;
        }
        &::after {
            @include animation-duration(2.0s);
            animation-duration: 1.5s;
            border-bottom: 4px solid $preloader-color-3;
            height: 100px;
            width: 100px;
        }
    }
    &.disable {
        opacity: 0;
        z-index: -9999;
    }
}